cURL
curl --request GET \
--url https://app.example.com/v1/public/productsconst response = await fetch("https://app.example.com/v1/public/products", {
method: "GET",
});
const data = await response.json();import requests
response = requests.get(
"https://app.example.com/v1/public/products"
)
data = response.json()
{
"data": [
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"slug": "<string>",
"shortDescription": "<string>",
"bookingMode": "<string>",
"capacityMode": "<string>",
"visibility": "<string>",
"sellCurrency": "<string>",
"sellAmountCents": 123,
"startDate": "<string>",
"endDate": "<string>",
"pax": 123,
"isFeatured": true,
"coverMedia": {
"id": "<string>",
"mediaType": "<string>",
"name": "<string>",
"url": "<string>",
"mimeType": "<string>",
"altText": "<string>",
"sortOrder": 123,
"isCover": true,
"isBrochure": true,
"isBrochureCurrent": true,
"brochureVersion": 123
},
"categories": [
{
"id": "<string>",
"parentId": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"sortOrder": 123
}
],
"tags": [
{
"id": "<string>",
"name": "<string>"
}
],
"destinations": [
{
"id": "<string>",
"parentId": "<string>",
"slug": "<string>",
"canonicalPlaceId": "<string>",
"name": "<string>",
"description": "<string>",
"seoTitle": "<string>",
"seoDescription": "<string>",
"destinationType": "<string>",
"latitude": 123,
"longitude": 123,
"sortOrder": 123
}
]
}
],
"total": 123,
"limit": 123,
"offset": 123
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}{
"error": "<string>",
"code": "<string>",
"requestId": "<string>",
"details": {}
}Products
List storefront products
List customer-facing products with filtering, sorting, and pagination. Heavy content fields are excluded unless includeContent=true.
GET
/
v1
/
public
/
products
cURL
Query Parameters
Available options:
name, createdAt, startDate, price Available options:
asc, desc Required range:
x <= 100⌘I